package com.czg.market.service;

import com.czg.account.dto.RoleTemplateDTO;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.SysRoleTemplate;

import java.util.List;

/**
 * 角色模板 服务层。
 *
 * @author zs
 * @since 2025-12-08
 */
public interface SysRoleTemplateService extends IService<SysRoleTemplate> {

    Boolean saveInfo(RoleTemplateDTO dto);

    List<SysRoleTemplate> listInfo(Long pid, Integer isEnable);

    Boolean editInfo(RoleTemplateDTO dto);
}
